Bug 313481 - Review Request: aget - Console download accelerator
Summary: Review Request: aget - Console download accelerator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-01 04:16 UTC by Rahul Sundaram
Modified: 2013-03-13 05:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-04 23:52:01 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2007-10-01 04:16:31 UTC
Spec URL: http://sundaram.fedorapeople.org/aget.spec
SRPM URL: http://sundaram.fedorapeople.org/aget-0.4-1.src.rpm
Description: Aget is a multi-threaded download accelerator like Flashget. It supports HTTP downloads and can be run from the console.

Comment 1 Marc Bradshaw 2007-10-01 04:54:00 UTC
First impressions.

%{name} macro should be used in Source: URL.
%{?dist} not used in Release: tag. (not mandatory or course, but can be useful)
%{optflags} are not used in make.
Patch file should be prefixed with the package name.

Comment 2 Rahul Sundaram 2007-10-01 06:18:26 UTC
Thanks for the review. Updated as per review

http://sundaram.fedorapeople.org/aget.spec
http://sundaram.fedorapeople.org/aget-0.4-2.src.rpm


Comment 3 Parag AN(पराग) 2007-10-03 07:16:22 UTC
Change Release line to
Release: 2%{?dist}
and Change defattr line to
%defattr(-, root, root, -)



Comment 4 Parag AN(पराग) 2007-10-03 08:32:26 UTC
and rpmlint gave me
aget.i386: E: description-line-too-long Aget is a multi-threaded download
accelerator like Flashget. It supports HTTP downloads and can be run from the
console.
===>Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.


Comment 6 Parag AN(पराग) 2007-10-03 11:43:07 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
1d32390f5ea2ddd82dfbb1794cdfa92f  aget-0.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.


Comment 7 Rahul Sundaram 2007-10-03 13:29:52 UTC
New Package CVS Request
=======================
Package Name: aget
Short Description: Console download accelerator
Owners: sundaram
Branches: F-7 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 8 Parag AN(पराग) 2007-10-03 15:04:44 UTC
Rahul,
  Learn first how to use Bugzilla, at least how and when to set/reset flags. You
reverted fedora-review+ flag set by me.
Thanks mtasaka for correcting them.

Comment 9 Rahul Sundaram 2007-10-03 15:45:56 UTC
I set the flag on fedora-review instead of fedora-cvs accidently. Confusing docs
don't help either. 

Comment 10 Kevin Fenzi 2007-10-04 02:45:18 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.